/usr/local/google/home/srhines/android_trees/jb-mr2-dev/frameworks/rs/scriptc/rs_mesh.rsh File Reference

- Overview
- Globals
- Structs

Functions
/usr/local/google/home/srhines/android_trees/jb-mr2-dev/frameworks/rs/scriptc/rs_mesh.rsh File Reference

## Functions
uint32_t | rsgMeshGetVertexAllocationCount (rs_mesh m)
uint32_t | rsgMeshGetPrimitiveCount (rs_mesh m)
rs_allocation | rsgMeshGetVertexAllocation (rs_mesh m, uint32_t index)
rs_allocation | rsgMeshGetIndexAllocation (rs_mesh m, uint32_t index)
rs_primitive | rsgMeshGetPrimitive (rs_mesh m, uint32_t index)

## Detailed Description

Mesh routines.

Definition in file rs_mesh.rsh.

## Function Documentation

rs_allocation rsgMeshGetIndexAllocation | ( | rs_mesh | m,
|  | uint32_t | index
| ) |  |

Returns an allocation containing index data or a null allocation if only the primitive is specified

Parameters:

  m | mesh to get data from
  index | index of the index allocation

Returns:
  allocation containing index data

rs_primitive rsgMeshGetPrimitive | ( | rs_mesh | m,
|  | uint32_t | index
| ) |  |

Returns the primitive describing how a part of the mesh is rendered

Parameters:

  m | mesh to get data from
  index | index of the primitive

Returns:
  primitive describing how the mesh is rendered

uint32_t rsgMeshGetPrimitiveCount | ( | rs_mesh | m | ) |

Meshes could have multiple index sets, this function returns the number.

Parameters:

  m | mesh to get data from

Returns:
  number of primitive groups in the mesh. This would include simple primitives as well as allocations containing index data

rs_allocation rsgMeshGetVertexAllocation | ( | rs_mesh | m,
|  | uint32_t | index
| ) |  |

Returns an allocation that is part of the mesh and contains vertex data, e.g. positions, normals, texcoords

Parameters:

  m | mesh to get data from
  index | index of the vertex allocation

Returns:
  allocation containing vertex data

uint32_t rsgMeshGetVertexAllocationCount | ( | rs_mesh | m | ) |

Returns the number of allocations in the mesh that contain vertex data

Parameters:

  m | mesh to get data from

Returns:
  number of allocations in the mesh that contain vertex data